summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorMatthew Treinish <mtreinish@kortar.org>2014-12-05 19:06:31 -0500
committerMatthew Treinish <mtreinish@kortar.org>2014-12-18 15:14:39 +0000
commit16b6826b9474cfa065a3ce24b22ee3a363716d21 (patch)
tree007455e24f2d5dff1a71e74836589618bec08790 /tools
parent8ab97ebe651c2ecc78505776340041b4ad33479e (diff)
downloadtempest-16b6826b9474cfa065a3ce24b22ee3a363716d21.tar.gz
Fix slowest test output after test run
This commit fixes the output from pretty_tox.sh so that the testr slowest output isn't gobbled up by the pipe into subunit-trace. Change-Id: I11e8fe80c35a1d3a90a4d7c8bf2b36c4114b5cc6
Diffstat (limited to 'tools')
-rwxr-xr-xtools/pretty_tox.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/pretty_tox.sh b/tools/pretty_tox.sh
index ff554c5ca..fb4e6d53b 100755
--- a/tools/pretty_tox.sh
+++ b/tools/pretty_tox.sh
@@ -3,4 +3,10 @@
set -o pipefail
TESTRARGS=$1
-python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-trace --no-failure-debug -f
+python setup.py testr --testr-args="--subunit $TESTRARGS" | subunit-trace --no-failure-debug -f
+retval=$?
+# NOTE(mtreinish) The pipe above would eat the slowest display from pbr's testr
+# wrapper so just manually print the slowest tests.
+echo -e "\nSlowest Tests:\n"
+testr slowest
+exit $retval